|
From: <sv...@va...> - 2009-05-10 10:44:28
|
Author: bart
Date: 2009-05-10 11:44:21 +0100 (Sun, 10 May 2009)
New Revision: 9818
Log:
Made source files on the DRDDEV branch identical to trunk r9817.
Added:
branches/DRDDEV/drd/scripts/add-libjemalloc-support
Modified:
branches/DRDDEV/drd/scripts/run-splash2
Copied: branches/DRDDEV/drd/scripts/add-libjemalloc-support (from rev 8407, trunk/drd/scripts/add-libjemalloc-support)
===================================================================
--- branches/DRDDEV/drd/scripts/add-libjemalloc-support (rev 0)
+++ branches/DRDDEV/drd/scripts/add-libjemalloc-support 2009-05-10 10:44:21 UTC (rev 9818)
@@ -0,0 +1,96 @@
+#!/bin/bash
+
+if [ ! -e coregrind/m_replacemalloc/vg_replace_malloc.c ]; then
+ echo "Error: please start this script from the Valgrind source directory."
+ exit 1
+fi
+
+if grep -q -w libjemallocZdsoZa coregrind/m_replacemalloc/vg_replace_malloc.c;
+then
+ echo "The libjemalloc patch is already present."
+ exit 0
+fi
+
+{ cat <<'EOF' | patch -p0; } || exit $?
+Index: coregrind/m_replacemalloc/vg_replace_malloc.c
+===================================================================
+--- coregrind/m_replacemalloc/vg_replace_malloc.c (revision 7759)
++++ coregrind/m_replacemalloc/vg_replace_malloc.c (revision 7778)
+@@ -68,6 +68,10 @@
+ # error "Unknown platform"
+ #endif
+
++/* --- Soname of libjemalloc. --- */
++
++#define m_jemalloc_soname libjemallocZdsoZa /* libjemalloc.so* */
++
+ /* --- Soname of the GNU C++ library. --- */
+
+ #define m_libstdcxx_soname libstdcZpZpZa // libstdc++*
+@@ -203,6 +207,7 @@
+ // (from_so, from_fn, v's replacement)
+
+ // malloc
++ALLOC_or_NULL(m_jemalloc_soname, malloc, malloc);
+ ALLOC_or_NULL(m_libstdcxx_soname, malloc, malloc);
+ ALLOC_or_NULL(m_libc_soname, malloc, malloc);
+ #if defined(VGP_ppc32_aix5) || defined(VGP_ppc64_aix5)
+@@ -319,6 +324,7 @@
+ }
+
+ // free
++FREE(m_jemalloc_soname, free, free );
+ FREE(m_libstdcxx_soname, free, free );
+ FREE(m_libc_soname, free, free );
+ #if defined(VGP_ppc32_aix5) || defined(VGP_ppc64_aix5)
+@@ -394,6 +400,7 @@
+ return v; \
+ }
+
++CALLOC(m_jemalloc_soname, calloc);
+ CALLOC(m_libc_soname, calloc);
+ #if defined(VGP_ppc32_aix5) || defined(VGP_ppc64_aix5)
+ CALLOC(m_libc_soname, calloc_common);
+@@ -426,6 +433,7 @@
+ return v; \
+ }
+
++REALLOC(m_jemalloc_soname, realloc);
+ REALLOC(m_libc_soname, realloc);
+ #if defined(VGP_ppc32_aix5) || defined(VGP_ppc64_aix5)
+ REALLOC(m_libc_soname, realloc_common);
+@@ -457,6 +465,7 @@
+ return v; \
+ }
+
++MEMALIGN(m_jemalloc_soname, memalign);
+ MEMALIGN(m_libc_soname, memalign);
+
+
+@@ -483,6 +492,7 @@
+ ((SizeT)pszB, size); \
+ }
+
++VALLOC(m_jemalloc_soname, valloc);
+ VALLOC(m_libc_soname, valloc);
+
+
+@@ -566,6 +576,7 @@
+ return VKI_ENOMEM; \
+ }
+
++POSIX_MEMALIGN(m_jemalloc_soname, posix_memalign);
+ POSIX_MEMALIGN(m_libc_soname, posix_memalign);
+ #if defined(VGP_ppc32_aix5) || defined(VGP_ppc64_aix5)
+ /* 27 Nov 07: it appears that xlc links into executables, a
+@@ -596,6 +607,7 @@
+ return pszB; \
+ }
+
++MALLOC_USABLE_SIZE(m_jemalloc_soname, malloc_usable_size);
+ MALLOC_USABLE_SIZE(m_libc_soname, malloc_usable_size);
+
+
+EOF
+
+make -s
Modified: branches/DRDDEV/drd/scripts/run-splash2
===================================================================
--- branches/DRDDEV/drd/scripts/run-splash2 2009-05-10 10:36:18 UTC (rev 9817)
+++ branches/DRDDEV/drd/scripts/run-splash2 2009-05-10 10:44:21 UTC (rev 9818)
@@ -123,8 +123,7 @@
# 19. Execution time ratio for Intel Thread Checker -p4 versus -p4.
#
# Notes:
-# - Helgrind uses a granularity of one byte for data race detection, while
-# DRD uses a granularity of four bytes.
+# - Both Helgrind and DRD use a granularity of one byte for data race detection.
# - Helgrind does detect data races on stack variables. DRD only detects
# data races on stack variables with --check-stack-var=yes.
# - The ITC tests have been run on a 4-way 2.5 GHz Pentium 4 workstation, most
@@ -132,25 +131,25 @@
# granularity does ITC use ? And which m4 macro's have been used by ITC as
# implementation of the synchronization primitives ?
#
-# 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19
-###########################################################################################################################
-# Results: native native native none none DRD DRD HG ITC ITC
-# -p1 -p2 -p4 -p1 -p4 -p4 -p4+f -p4 -p4 -p4+f
-# .........................................................................................................................
-# Cholesky 0.09 11880 0.07 21888 0.65 41883 13.2 4.86 2.5 2.08 19 2.34 13 2.53 29 6.04 239 82
-# FFT 0.03 6560 0.02 15101 0.02 32176 21.0 7.92 20.5 2.41 118 2.81 53 3.06 120 5.42 90 41
-# LU, contiguous 0.07 3968 0.05 12176 0.06 28584 14.8 12.29 21.0 2.62 124 2.87 74 3.16 157 5.53 428 128
-# Ocean, contiguous 0.19 23208 0.18 31744 0.13 48888 6.7 3.75 10.6 2.09 69 2.52 43 2.71 264 5.95 90 28
-# Radix 0.20 15008 0.11 23200 0.11 39592 13.1 4.06 22.6 2.17 56 2.61 41 2.82 111 6.11 222 56
-# Raytrace 0.66 206976 0.47 215168 0.47 232235 8.4 1.22 10.8 1.20 272 1.53 88 1.56 211 3.79 172 53
-# Water-n2 0.19 10560 0.09 26944 0.10 59704 12.9 5.40 24.0 1.79 3793 2.92 621 2.95 109 3.54 189 39
-# Water-sp 0.21 4312 0.10 13400 0.10 29496 10.2 11.41 22.0 2.52 279 3.03 55 5.55 97 4.76 183 34
-# .........................................................................................................................
-# geometric mean 0.14 13360 0.09 26319 0.12 48476 11.9 5.21 14.0 2.06 154 2.53 64 2.88 117 5.05 180 51
-# .........................................................................................................................
+# 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19
+############################################################################################################################
+# Results: native native native none none DRD DRD HG ITC ITC
+# -p1 -p2 -p4 -p1 -p4 -p4 -p4+f -p4 -p4 -p4+f
+# ..........................................................................................................................
+# Cholesky 0.13 12016 0.06 22016 0.59 41669 11.3 4.46 2.4 2.11 24 2.37 16 2.57 28 6.10 239 82
+# FFT 0.03 6692 0.02 15571 0.02 31962 12.0 7.92 20.0 2.43 121 2.84 54 3.09 117 5.48 90 41
+# LU, contiguous 0.08 4100 0.05 12304 0.05 28712 13.4 12.29 20.0 2.62 117 2.73 72 3.16 156 5.53 428 128
+# Ocean, contiguous 0.25 16848 0.22 25384 0.14 42528 7.6 3.75 12.9 2.09 99 2.45 68 2.68 327 5.95 90 28
+# Radix 0.27 15136 0.10 23336 0.11 39728 12.8 4.06 24.5 2.17 65 2.61 46 2.82 121 6.15 222 56
+# Raytrace 0.82 207104 0.59 215979 0.59 232363 9.0 1.22 11.4 1.20 251 1.48 82 1.52 205 3.78 172 53
+# Water-n2 0.18 10696 0.10 27072 0.10 59832 16.4 5.40 23.8 1.79 4972 2.61 1538 2.68 110 3.54 189 39
+# Water-sp 0.22 4444 0.11 13536 0.10 29928 11.6 11.41 22.7 2.52 301 2.89 55 3.17 97 4.76 183 34
+# ..........................................................................................................................
+# geometric mean 0.17 13023 0.10 25823 0.12 47718 11.5 5.15 14.4 2.06 174 2.45 78 2.65 120 5.06 180 51
+# ..........................................................................................................................
# Hardware: dual-core Intel Core2 Duo E6750, 2.66 GHz, 4 MB L2 cache, 2 GB RAM.
-# Software: openSUSE 11.0 (64-bit edition), runlevel 3, gcc 4.3.1, 32 bit executables, valgrind trunk r9629.
-###########################################################################################################################
+# Software: openSUSE 11.0 (64-bit edition), runlevel 3, gcc 4.3.1, 32 bit executables, valgrind trunk r9796.
+############################################################################################################################
####
# Notes:
|